/*
 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; version 2
 of the License.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import <CoreGraphics/CGColor.h>
#import <CoreGraphics/CGColorSpace.h>
#import <UIKit/UITextView.h>
#import <UIKit/UINavigationBar.h>
#import <UIKit/UINavigationItem.h>

#import "EditTextView.h"

@class EditorKeyboard;

@interface EditView : UIView
{
    struct CGRect _rect;
    id _delegate;
    EditTextView *_textView;
    UINavigationBar *_topNavBar;
    UINavigationBar *_bottomNavBar;
    UINavigationItem *_topNavItem;

    NSMutableString *_path;
    BOOL _saved;
	
	int _textStart;
	NSMutableString* _selectText;
	NSMutableString* _preSelectText;
	BOOL _bSelectMode;
	NSRange _selectRange;
	
}

- (void)setDelegate: (id)delegate;

- (void)adjustForShownKeyboard;
- (void)adjustForHiddenKeyboard;
- (void)toggleKeyboard;

- (void)newFile;
- (void)openFile: (NSString *)path;
- (void)saveFile;
- (void)saveFileTo: (NSString *)path;

@end
